Subject: Re: [PATCH 3/3] verify-commit: scriptable commit signature verification

From: Junio C Hamano <[email-masked]>
Date: Fri, 27 Jun 2014 11:55:39 -0700

Michael J Gruber <[email-masked]> writes:

> ... or an extension <ref>^{mergetag} to our machinery, defaulting to the
> tag object containing the mergetag for the 2nd parent, with an optional
> version <ref>^{mergetag}<n>?

One thing you should not forget is that with mergetag, the original
tag object is not even necessary to exist in the repository, and
often the original tag will not be propagated to the general public.

You _could_ extract the necessary information from the commit that
merges a signed tag to recreate the tag, but for what purpose?  Your
"$commit^{mergetag}<n>" needs to recreate the named tag object but
it is unclear to me how you envision it to be used.